Package org.apache.jmeter.visualizers

# Interface Visualizer

All Known Implementing Classes:
  `AbstractVisualizer`, `AssertionVisualizer`, `BeanShellListener`, `BSFListener`, `ComparisonVisualizer`, `GraphVisualizer`, `JSR223Listener`, `MailerVisualizer`, `RespTimeGraphVisualizer`, `SimpleDataWriter`, `StatGraphVisualizer`, `StatVisualizer`, `SummaryReport`, `TableVisualizer`, `ViewResultsFullVisualizer`

public interface Visualizer
Implement this method to be a Visualizer for JMeter. This interface defines a single method, "add()", that provides the means by which `SampleResults` are passed to the implementing visualizer for display/logging. The easiest way to create the visualizer is to extend the `AbstractVisualizer` class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(SampleResult sample)`
  This method is called by sampling thread to inform the visualizer about the arrival of a new sample.
  `boolean`
  `isStats()`
  This method is used to indicate a visualizer generates statistics.

- ## Method Details

  - ### add

    void add(SampleResult sample)
    This method is called by sampling thread to inform the visualizer about the arrival of a new sample.
    Parameters:
      `sample` - the newly arrived sample

  - ### isStats

    boolean isStats()
    This method is used to indicate a visualizer generates statistics.
    Returns:
      true if visualiser generates statistics